// Import modules.
const onix = require("../src/index");
const fs = require('fs');
const path = require('path');

// Get an ONIX XML file from your local machine.
let xml = fs.readFileSync(path.join(__dirname, './test.xml'), { encoding: "utf-8" });

// Parse the ONIX XML file to an object.
let result = onix.parse(xml);

// Convert the object to JSON (pretty-print).
result = JSON.stringify(result, null, 4);

// Save the JSON to a file.
fs.writeFileSync(path.join(__dirname, './test.json'), result);