module.exports = {
    tag: 'CopyrightStatement',
    array: true,
    fields: {
        type: {
            tag: 'CopyrightType',
            transform: function(s) { return s.toUpperCase(); }
        },
        years: {
            tag: 'CopyrightYear',
            array: true,
            untransform: Number
        },
        owners: {
          tag: 'CopyrightOwner',
            array: true,
          fields: {
            name: {
                tag: 'PersonName',
            },
              company: {
                tag: 'CorporateName'
              }
          }
        }
    }
};
