// noinspection JSCheckFunctionSignatures

let helpers = require('../../helpers');

module.exports = {
    tag: 'Language',
    fields: {
        'role': {
            tag: 'LanguageRole',
            transform: helpers.partialRight(helpers.pad, 2),
            untransform: Number,
            default: 1
        },
        'code': {
            tag: 'LanguageCode',
            transform: function(s) { return String(s).toLowerCase(); },
            untransform: String,
        }
    },
    map: {
        to: 'code'
    },
    array: true
};
