let SupplyDetail = require('./supplydetail');
let Market = require('./market');
let MarketPublishingDetail = require('./marketpublishingdetail');

module.exports = {
    tag: 'ProductSupply',
    fields: {
        'market': Market, // Group P.24
        'marketPublishingDetail': MarketPublishingDetail, // Group P.25
        'details': SupplyDetail // Group P.26
    },
    array: true,
    map: {
      to: 'title'
    }
};
