let helpers = require('../../helpers');

module.exports = {
    tag: 'RecordSourceIdentifier',
    fields: {
        type: {
            tag: 'RecordSourceIDType',
            transform: helpers.partialRight(helpers.pad, 2),
            untransform: Number,
            default: 1
        },
        typeName: {
            tag: 'IDTypeName'
        },
        value: {
            tag: 'IDValue'
        }
    },
    array: true
};
