let helpers = require('../../helpers');

module.exports = {
    tag: 'SalesRights',
    array: true,
    fields: {
        type: {
            tag: 'SalesRightsType',
            transform: helpers.partialRight(helpers.pad, 2),
            untransform: Number,
            default: 1
        },
        territory: {
          tag: 'Territory',
          fields: {
              regionsIncluded: {
                  tag: 'RegionsIncluded'
              },
              countriesIncluded: {
                  tag: 'CountriesIncluded'
              },
              regionsExcluded: {
                  tag: 'RegionsExcluded'
              },
              countriesExcluded: {
                  tag: 'CountriesExcluded'
              }
          }
        }
    }
};
