let helpers = require('../../helpers');

module.exports = {
    tag: 'Audience',
    array: true,
    fields: {
        type: {
            tag: 'AudienceCodeType',
            transform: helpers.partialRight(helpers.pad, 2),
            untransform: Number,
            default: 1
        },
        value: {
            tag: 'AudienceCodeValue',
            transform: helpers.partialRight(helpers.pad, 2),
            untransform: Number
        }
    },
    map: {
        to: 'value'
    }
};
