let helpers = require('../../helpers');

module.exports = {
    tag: 'Header',
    fields: {
        'from.company': {
            tag: 'FromCompany'
        },
        'from.person': {
            tag: 'FromPerson'
        },
        'from.email': {
            tag: 'FromEmail'
        },
        'sent': {
            tag: 'SentDate',
            transform: helpers.formatDate,
            untransform: helpers.parseDate
        }
    }
};
