let helpers = require('../../helpers');

module.exports = {
    tag: 'MediaFile',
    array: true,
    fields: {
        type: {
            tag: 'MediaFileTypeCode',
            transform: helpers.partialRight(helpers.pad, 2),
            untransform: Number,
            default: 1
        },
        linkType: {
            tag: 'MediaFileLinkTypeCode',
            transform: helpers.partialRight(helpers.pad, 2),
            untransform: Number,
            default: 1
        },
        link: {
            tag: 'MediaFileLink'
        }
    }
};
