let helpers = require('../../helpers');

module.exports = {
    tag: 'ProductIdentifier',
    fields: {
        type: {
            tag: 'ProductIDType',
            transform: helpers.partialRight(helpers.pad, 2),
            untransform: Number,
            default: 1
        },
        value: {
            tag: 'IDValue',
            transform: String
        }
    },
    map: {
        to: 'value'
    }
};
