let helpers = require('../../helpers');

module.exports = {
    tag: 'Publisher',
    fields: {
        role: {
            tag: 'PublishingRole',
            transform: helpers.partialRight(helpers.pad, 2),
            untransform: Number,
            default: 1
        },
        name: {
            tag: 'PublisherName',
            transform: String
        }
    },
    map: {
        to: 'name'
    }
};
