let helpers = require('../../helpers');
let Price = require('./price');

module.exports = {
    tag: 'SupplyDetail',
    fields: {
        name: {
            tag: 'SupplierName'
        },
        availability: {
            tag: 'AvailabilityCode',
            default: 20
        },
        shipDate: {
            tag: 'ExpectedShipDate',
            transform: helpers.formatDate,
            untransform: helpers.parseDate
        },
        saleDate: {
            tag: 'OnSaleDate',
            transform: helpers.formatDate,
            untransform: helpers.parseDate
        },
        prices: Price
    }
};
