let helpers = require('../../helpers');

module.exports = {
    tag: 'Title',
    fields: {
        type: {
            tag: 'TitleType',
            transform: helpers.partialRight(helpers.pad, 2),
            untransform: Number,
            default: 1
        },
        text: {
            tag: 'TitleText',
            transform: String
        },
        subtitle: {
            tag: 'Subtitle',
            transform: String
        }
    },
    map: {
        to: 'text'
    }
};
