let helpers = require('../../helpers');

module.exports = {
    tag: 'Imprint',
    fields: {
        name: {
            tag: 'ImprintName',
            transform: String
        },
        identifiers: {
            tag: 'ImprintIdentifier',
            fields: {
              type: {
                tag: 'ImprintIDType',
                transform: helpers.partialRight(helpers.pad, 2),
                untransform: Number,
                default: 1
              },
              typeName: {
                tag: 'IDTypeName'
              },
              value: {
                tag: 'IDValue'
              }
            },
            array: true
        }
    },
    map: {
        to: 'name'
    }
};
