let helpers = require('../../helpers');

module.exports = {
    tag: 'Market',
    fields: {
        territory: {
            tag: 'Territory',
            fields: {
                regionsIncluded: {
                    tag: 'RegionsIncluded'
                },
                countriesIncluded: {
                    tag: 'CountriesIncluded'
                },
                regionsExcluded: {
                    tag: 'RegionsExcluded'
                },
                countriesExcluded: {
                    tag: 'CountriesExcluded'
                }
            }
        },
        'salesRestrictions': {
          tag: 'SalesRestriction',
          fields: {
            'type': {
              tag: 'SalesRestrictionType',
              transform: helpers.partialRight(helpers.pad, 2),
              untransform: Number
            }
          },
          array: true
        }
    },
    array: true
};
