module.exports = {
    tag: 'Subject',
    fields: {
        'main': {
            tag: 'MainSubject',
            bool: true
        },
        'scheme': { // we cannot transform to Number because some scheme identifiers are alphanumeric
            tag: 'SubjectSchemeIdentifier'
        },
        'version': {
            tag: 'SubjectSchemeVersion',
            untransform: Number
        },
        'code': {
            tag: 'SubjectCode'
        },
        'text': {
          tag: 'SubjectHeadingText'
        }
    },
    map: {
        to: 'code'
    },
    array: true
};
